<template>
  <div>
    <lazy-header-style-module-render v-if="allowCompany" />
    <header-main v-else :property-keys="['logo', 'announcement']" />
    <banner
      v-if="included"
      :actived-tab="activedTab"
      :banner-keys="bannerKeys"
      height="460px"
    />
    <slot container-class="w-full mx-autoP container min-h-[70vh]" />
    <lazy-footer
      :template="allowCompany ? footerStyle.Text : 'common'"
      layout="desktop"
    />
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, computed } from "vue";
import { IThemePropertiesFromApi } from "../models/companyThemePropertiesRespone";
import themePropertyHelper from "../utils/themePropertyHelper";
import { store } from "@/store";

export default defineComponent({
  name: "App",
  setup() {
    const array: Array<string> = [
      "home",
      "sports",
      "virtualsports",
      "livecasino",
      "games",
      "keno",
      "cockfight",
      "lottery",
      "poker",
      "promotion",
    ];
    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
    );
    const activedTab = computed(() =>
      tabSelected.value !== "" ? tabSelected.value : "Home"
    );
    const included = computed(() =>
      _.includes(array, _.toLower(activedTab.value))
    );

    const bannerKeys: Record<string, string> = {
      home: "lobby_banner_",
      sports: "sport_banner_",
      virtualsports: "virtual_sport_banner_",
      livecasino: "live_casino_banner_",
      games: "game_banner_",
      poker: "poker_banner_",
      lottery: "lottery_banner_",
      cockfight: "cockfight_banner_",
      promotion: "promotion_banner_",
    };
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const headerStyle = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          store.state.companyThemePropertiesFromApi.ThemeProperties,
          "header_style"
        )
    );
    const footerStyle = computed(() =>
      themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        "footer_style"
      )
    );
    const { allowCompany } = commonHelper;
    const { themeColor } = themePropertyHelper;
    const isKr = themeColor.value.Text.toLowerCase().includes("kr");
    const bannerStyle = computed(() =>
      themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        "home_page_banner_style"
      )
    );
    const isBanner02 =
      bannerStyle.value?.Text?.toLocaleLowerCase() === "banner_style_02";
    return {
      included,
      activedTab,
      bannerKeys,
      themeProperties,
      headerStyle,
      footerStyle,
      allowCompany,
      isKr,
      isBanner02,
    };
  },
});
</script>
<style lang="scss">
@import "@/assets/styles/desktop/sbo.scss";
div.container {
  width: 80rem;
}
</style>
<style lang="postcss">
.btn {
  @apply border-0 inline-block text-center text-white duration-300;
}
</style>
<style scoped>
:deep(.balance) {
  margin-right: 0;
}
:deep(.menu-bar-group) {
  width: 100%;
}
:deep(.payment-option) {
  display: none;
}
</style>
